minetest.register_node("poop:ladder_steel", {
	description = "Ladder",
	drawtype = "signlike",
	tiles = {"ladder.png"},
	paramtype = "light",
	paramtype2 = "wallmounted",
	sunlight_propagates = true,
	walkable = false,
	climbable = true,
	is_ground_content = false,
	selection_box = {
		type = "wallmounted",
	},
	groups = {cracky = 2},
})


minetest.register_tool("poop:tool", {
    description = "My Tool",
    inventory_image = "flux_capacitor.png",
    tool_capabilities = {
        full_punch_interval = 1.5,
        max_drop_level = 1,
        groupcaps = {
            crumbly = {
                maxlevel = 2,
                uses = 20,
                times = { [1]=1.60, [2]=1.20, [3]=0.80 }
            },
        },
        damage_groups = {fleshy=2},
    },
})
minetest.register_node("poop:floor", {
	description = "Floor",
	tiles = {"floor.png"},
	
	drop = 'poop:floor',
	legacy_mineral = true, groups = {cracky=3, stone=1},
})

minetest.register_node("poop:Poop", {
	description = "Just Shit",
	tiles = {"Poop.png"},
	drop = 'poop:PoopItem', groups = {falling_node = 1, cracky=3, stone=1},
})

minetest.register_node("poop:tv", {
	description = "CRT TV",
	tiles = {
		"PC2.png", 
		"PC2.png",
		"PC2.png",
		"PC2.png",
		"PC2.png",
		"PC.png"
	},
	paramtype2 = "facedir",
	drop = 'poop:Poop', groups = {cracky=3, stone=1},
})

minetest.register_node("poop:bricks", {
	description = "Bricks",
	tiles = {"Bricks.png"},
	
	drop = 'poop:grey_bricks', groups = {cracky=3, stone=1},
})
minetest.register_node("poop:grey_bricks", {
	description = "Bricks 2",
	tiles = {"Bricks2.png"}, groups = {cracky=3, stone=1},
	
	drop = 'poop:grey_bricks', groups = {cracky=3, stone=1},
})
minetest.register_node("poop:planks", {
	description = "Planks",
	tiles = {"Planks.png"},
	
	drop = 'poop:planks', groups = {cracky=3, stone=1},
})
minetest.register_node("poop:purpleblock", {
	description = "Purple Block",
	tiles = {"purpleblock.png"},
	
	drop = 'poop:purpleblock', groups = {cracky=3, stone=1},
})
minetest.register_node("poop:purpleblock", {
	description = "Purple Block",
	tiles = {"purpleblock.png"},
	
	drop = 'poop:purpleblock', groups = {cracky=3, stone=1},
})
minetest.register_node("poop:redblock", {
	description = "Red Block",
	tiles = {"redblock.png"},
	
	drop = 'poop:redblock', groups = {cracky=3, stone=1},
})

minetest.register_node("poop:aquablock", {
	description = "Aqua Block",
	tiles = {"aquablock.png"},
	
	drop = 'poop:aquablock', groups = {cracky=3, stone=1},
})
minetest.register_node("poop:glass", {
	description = "Glass",
	tiles = {"glass.png"},
	
	drop = 'poop:glass', groups = {cracky=3, stone=1},
})
minetest.register_node("poop:Poop2", {
	description = "Diarrhea", 
	tiles = {"sraka.png"},
	
	drop = 'poop:Poop', groups = {falling_node = 1, cracky=3, stone=1},
})

minetest.register_node("poop:glowing_block", {
	description = "Glowing Block",
	tiles = {"glowing_block.png"},
	
	drop = 'poop:glowing_block', groups = {cracky=3, stone=1},
	light_source = 14
})

minetest.register_node("poop:flux_capacitor", {
	description = "Flux Capacitor from Back to the Future",
	tiles = {"fluxcap2.png", "fluxcap2.png","fluxcap2.png","fluxcap.png","fluxcap2.png","fluxcap2.png"},
	
	drop = 'poop:Poop', groups = {cracky=3, stone=1},
})

minetest.register_node("poop:transparent", {
    description = "Transparent",
    drawtype = "glasslike",
    tiles = {"glass.png"},
    paramtype = "light",
    is_ground_content = false,
    sunlight_propagates = true,
    groups = {cracky=3,oddly_breakable_by_hand=3},
})
minetest.register_alias("mapgen_stone", "poop:floor")